Выполнение произвольного PHP кода в Piwik

Дата публикации:
11.12.2009
Дата изменения:
11.12.2009
Всего просмотров:
1556
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Piwik 0.x
Уязвимые версии: Piwik версии до 0.5

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за того, что сценарий core/Cookie.php использует функцию unserialize() для данных, контролируемых пользователем. Удаленный пользователь может выполнить произвольный PHP код с помощью методов __wakeup() и __destruct() для сериализированного объекта, передаваемого через HTTP куки.

URL производителя: piwik.org

Решение: Установите последнюю версию 0.5 с сайта производителя.

Ссылки: http://www.sektioneins.de/de/advisories/advisory-032009-piwik-cookie-unserialize-vulnerability/index.html
http://piwik.org/blog/2009/12/piwik-response-to-shocking-news-in-php-exploitation/

или введите имя

CAPTCHA